VkPipelineMultisampleStateCreateInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineMultisampleStateCreateFlags | flags
VkSampleCountFlagBits | rasterizationSamples
VkBool32 | sampleShadingEnable
float | minSampleShading
const VkSampleMask * | pSampleMask
VkBool32 | alphaToCoverageEnable
VkBool32 | alphaToOneEnable

## Detailed Description

Definition at line 2030 of file vulkan.h.

## Field Documentation

## alphaToCoverageEnable

VkBool32 VkPipelineMultisampleStateCreateInfo::alphaToCoverageEnable

Definition at line 2038 of file vulkan.h.

## alphaToOneEnable

VkBool32 VkPipelineMultisampleStateCreateInfo::alphaToOneEnable

Definition at line 2039 of file vulkan.h.

## flags

VkPipelineMultisampleStateCreateFlags VkPipelineMultisampleStateCreateInfo::flags

Definition at line 2033 of file vulkan.h.

## minSampleShading

float VkPipelineMultisampleStateCreateInfo::minSampleShading

Definition at line 2036 of file vulkan.h.

## pNext

const void* VkPipelineMultisampleStateCreateInfo::pNext

Definition at line 2032 of file vulkan.h.

## pSampleMask

const VkSampleMask* VkPipelineMultisampleStateCreateInfo::pSampleMask

Definition at line 2037 of file vulkan.h.

## rasterizationSamples

VkSampleCountFlagBits VkPipelineMultisampleStateCreateInfo::rasterizationSamples

Definition at line 2034 of file vulkan.h.

## sampleShadingEnable

VkBool32 VkPipelineMultisampleStateCreateInfo::sampleShadingEnable

Definition at line 2035 of file vulkan.h.

## sType

VkStructureType VkPipelineMultisampleStateCreateInfo::sType

Definition at line 2031 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h